## <a id="logging"></a> Logging

Icinga 2 supports three different types of logging:

* File logging (local Icinga 2 log file)
* Syslog facility logging (system's syslog application)
* Console logging (`STDOUT` on tty)

> **Note**
>
> You can define multiple logging objects at once.

The most common scenario will be logging Icinga 2's output to
syslog with severity `information`.

    object SyslogLogger "syslog" {
      severity = "information"
    }

For debugging purposes you can install a `FileLogger` object
and forward the `debug` severity into an Icinga 2 debug file.

    object FileLogger "debug-file" {
      severity = "debug",
      path = "/var/log/icinga2/debug.log"
    }

